Package be.ehealth.businessconnector.dmg.exception

# Enum Class DmgBusinessConnectorExceptionValues

java.lang.Object
java.lang.Enum<DmgBusinessConnectorExceptionValues>
be.ehealth.businessconnector.dmg.exception.DmgBusinessConnectorExceptionValues

All Implemented Interfaces:
  `Serializable`, `Comparable<DmgBusinessConnectorExceptionValues>`, `java.lang.constant.Constable`

public enum DmgBusinessConnectorExceptionValues extends Enum<DmgBusinessConnectorExceptionValues>
Enumeration for possible Dmg business exceptions

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR_XML_DMGVALIDATOR`
  XML is not correct: {0}
  `ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR`
  XML is not correct: {0}
  `MALFORMED_URL`
  Invalid url to {0} file
  `PARAMETER_NULL`
  Could not find the settings file : {0}
  `SETTINGS_NOT_FOUND`
  Could not find the settings file : {0}
  `SOAP_EXC`
  SoapException occured : {0}
  `TARGET_SERVICE_ERROR`
  TargetService error description: {0}

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorCode()`
  `String`
  `getMessage()`
  `static DmgBusinessConnectorExceptionValues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DmgBusinessConnectorExceptionValues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TARGET_SERVICE_ERROR

    public static final DmgBusinessConnectorExceptionValues TARGET_SERVICE_ERROR
    TargetService error description: {0}

  - ### MALFORMED_URL

    public static final DmgBusinessConnectorExceptionValues MALFORMED_URL
    Invalid url to {0} file

  - ### SETTINGS_NOT_FOUND

    public static final DmgBusinessConnectorExceptionValues SETTINGS_NOT_FOUND
    Could not find the settings file : {0}

  - ### ERROR_XML_DMGVALIDATOR

    public static final DmgBusinessConnectorExceptionValues ERROR_XML_DMGVALIDATOR
    XML is not correct: {0}

  - ### ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

    public static final DmgBusinessConnectorExceptionValues ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR
    XML is not correct: {0}

  - ### PARAMETER_NULL

    public static final DmgBusinessConnectorExceptionValues PARAMETER_NULL
    Could not find the settings file : {0}

  - ### SOAP_EXC

    public static final DmgBusinessConnectorExceptionValues SOAP_EXC
    SoapException occured : {0}

- ## Method Details

  - ### values

    public static DmgBusinessConnectorExceptionValues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DmgBusinessConnectorExceptionValues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getErrorCode

    public String getErrorCode()
    Returns:
      the errorCode

  - ### getMessage

    public String getMessage()
    Returns:
      the message